mscorlib 2.0.0.0 4.0.0.0 Covariant System.Collections.IEnumerable To be added.

Implemented by generic classes that support a simple iteration over instances of the collection.

contains the method. The consumer of an object should call this method to obtain an enumerator for simple iteration over an instance of a collection. Implement this interface to support the foreach semantics of C#.

- Method
  System.Collections.Generic.IEnumerator<T>

  Returns a that can be used for simple iteration over a collection.

  A that can be used for simple iteration over a collection.

  As described above.

  For a detailed description regarding the use of an enumerator, see .

  2.0.0.0
  4.0.0.0